/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.sensor.cropcircle;

import nl.cloudfarming.client.sensor.SensorDataVisualElement;
import org.netbeans.core.spi.multiview.MultiViewElement;
import org.openide.util.Lookup;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;

/**
 * Visual element for the CropCircle sensor data
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@MultiViewElement.Registration(displayName = "#LBL_CropCircle_VISUAL",
iconBase = CropCircleDataObject.ICON_BASE,
mimeType = CropCircleDataObject.MIME_TYPE,
persistenceType = TopComponent.PERSISTENCE_NEVER,
preferredID = "nl.cloudfarming.client.sensor.cropcircle.CropCircleVisualElement",
position = 100)
@NbBundle.Messages("LBL_CropCircle_VISUAL=Visual")
public class CropCircleVisualElement extends SensorDataVisualElement {

    public CropCircleVisualElement(Lookup lkp) {
        super(lkp);
    }

    @Override
    public String getName() {
        return "CropCircleVisualElement";
    }
}
